function S = txt2mat(instr, bmrb)
% Transform input string to cell format

[start finish] = regexp(instr, '[0-9]+[\s]+[A-Z][A-Z][A-Z]');
[rstart rfinish] = regexp(instr, '\n');
N = length(start);
if N < 1, S = []; sprintf(strcat('txt2mat :', num2str(bmrb), ': No CS data'), '%s'), return; end
% special case (5564 5628) when seq order is different with author assigned order,
% don't work for case like 5785 5078 5516 5222 5482
% [ss sf] = regexp(instr, '[0-9]+[ \f\r\t]+[0-9]+[\s]+[0-9]+[\s]+[A-Z][A-Z][A-Z]');
% if length(ss) > 0
%     [start finish] = regexp(instr, '[0-9]+[\s]+[0-9]+[\s]+[A-Z][A-Z][A-Z]');
% end

d = find(rfinish> finish(1));
rfinish(1:d(1)-1) = [];
for i = 1 : N
    sn = instr(start(i) : start(i)+3); sn=strtok(sn);
    an = AAtable(instr(finish(i)-2 : finish(i)));
    r = instr(finish(i)+1 : rfinish(i));
    %r = '        359  23  47   ASN  ND2   N  106.073  0.000  . '
    amgs = regexp(r, '[A-Z]+[^\s]*[\s]+[CHN][\s]+[0-9]+');
    %amgs = regexp(r, '[A-Z]+[^\s]*[\s]+[0-9]+');   % for nick
    if length(amgs) > 0
        r(1:amgs-1) = [];
        [amg, r] = strtok(r);
        [am, r] = strtok(r);    
        [cs, r] = strtok(r);      
        [er, r] = strtok(r);      
 
        % Description see http://www.utexas.edu/math/Matlab/Manual/lasterr.html
        eval(strcat('S(',sn,').AA=','''',an,'''',';'), 'bmrb, sn, an');           % S(sn).AA=an
        eval(strcat('S(',sn,').',amg,'=','''',amg,'''',';'), 'bmrb, sn, amg,');     % S(sn).amg=amg
        eval(strcat('S(',sn,').',amg,'.',am,'=',cs,';'), 'bmrb, sn, amg, am, cs,');         % S(sn).amg.am=cs
        %if ~strcmp(er, '.'),   eval(strcat('S(',sn,').',amg,'.er = ',er,';'), 'er');    end    % S(sn).amg.er=er 
    end
end
if ~exist('S', 'var')
    S = []; 
else
    % X will be fixed later, right now it is used to keep same format
    for i = 1 : length(S),  if isempty(S(i).AA), S(i).AA = 'X'; end 
    end
end
return